Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPUsingDirective

    public interface ICPPUsingDirective

Interface to model using directives. Needed to bridge between directives found in the AST and the ones found in the index.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICPPUsingDirective[]` `EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IScope` `getContainingScope()` Returns the scope containing this directive.
`ICPPNamespaceScope` `getNominatedScope()` Returns the scope of the namespace that is nominated by this directive, or `null` if it cannot be determined.
`int` `getPointOfDeclaration()` Returns the point of declaration as global offset (`ASTNode.getOffset()`).

### Field Detail

#### EMPTY_ARRAY

    static final ICPPUsingDirective[] EMPTY_ARRAY

### Method Detail

#### getNominatedScope

    ICPPNamespaceScope getNominatedScope()
                                  throws DOMException

Returns the scope of the namespace that is nominated by this directive, or `null` if it cannot be determined.

Throws:
  `DOMException`

#### getPointOfDeclaration

    int getPointOfDeclaration()

Returns the point of declaration as global offset (`ASTNode.getOffset()`).

#### getContainingScope

    IScope getContainingScope()

Returns the scope containing this directive.